#
# spec file for package gtkcomm (Version 0.5.13)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gtk gtk-devel imlib imlib-devel xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip imlib imlib-devel kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gtkcomm
%define	_prefix1 /usr/X11R6
Copyright:    GPL
Group:        Extensions/Korean
Provides:     gtkcomm
Autoreqprov:  on
Version:      0.5.13
Release:      156
Summary:      gtk+ communication
URL:          http://kldp.org/~namsh
Source0:      http://kldp.org/~namsh/tools/gtkcomm/gtkcomm-%{version}.tar.gz
Source1:      gtkcomm.desktop
Source2:      gtkcomm.kdelnk
Source3:      gtkcomm.desktop.kde2x
Source4:      gtkcomm-16x16.png
Source5:      gtkcomm-32x32.png
Source6:      gtkcomm-16x16.xpm
Source7:      gtkcomm-32x32.xpm
Patch:        gtkcomm-script.patch
Patch1:       gtkcomm-gtkrc.patch
Patch2:       gtkcomm-syntax.patch
BuildRoot:    /var/tmp/%{name}-%{version}-root

%description
gtk+ communication

Authors:
--------
    Sung-Hyun Nam <namsh@kldp.org>
    ChiDeok Hwang <hwang@mizi.co.kr>

SuSE series: han

%prep
%setup -q -n gtkcomm-%{version}
%patch
%patch1
%patch2

%build
%{?suse_update_config:%{suse_update_config -f}}
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix}
make

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
make prefix=%{buildroot}%{_prefix} install
#############################################################################
# PIXMAP.....................................................................
#############################################################################
mkdir -p %{buildroot}%{_prefix1}/share/icons/png/locolor/16x16/apps
mkdir -p %{buildroot}%{_prefix1}/share/icons/png/hicolor/32x32/apps
mkdir -p %{buildroot}/opt/kde/share/icons/large
mkdir -p %{buildroot}/opt/kde/share/icons
mkdir -p %{buildroot}/opt/kde2/share/icons/locolor/16x16/apps
mkdir -p %{buildroot}/opt/kde2/share/icons/hicolor/32x32/apps
mkdir -p %{buildroot}/opt/gnome/share/pixmaps/
install -c -m 644 %{SOURCE4} \
	%{buildroot}%{_prefix1}/share/icons/png/locolor/16x16/apps/gtkcomm.png
ln -s %{_prefix1}/share/icons/png/locolor/16x16/apps/gtkcomm.png \
	%{buildroot}/opt/kde2/share/icons/locolor/16x16/apps/gtkcomm.png
install -c -m 644 %{SOURCE5} \
	%{buildroot}%{_prefix1}/share/icons/png/hicolor/32x32/apps/gtkcomm.png
ln -s %{_prefix1}/share/icons/png/hicolor/32x32/apps/gtkcomm.png \
	%{buildroot}/opt/kde2/share/icons/hicolor/32x32/apps/gtkcomm.png
ln -s %{_prefix1}/share/icons/png/hicolor/32x32/apps/gtkcomm.png \
	%{buildroot}/opt/gnome/share/pixmaps/gtkcomm.png
install -c -m 644 %{SOURCE6} \
	%{buildroot}/opt/kde/share/icons/gtkcomm.xpm
install -c -m 644 %{SOURCE7} \
	%{buildroot}/opt/kde/share/icons/large/gtkcomm.xpm
#############################################################################
# GNOME, KDE-1.x, KDE-2.x....................................................
#############################################################################
mkdir -p %{buildroot}/opt/gnome/share/gnome/apps/Internet
mkdir -p %{buildroot}/opt/kde/share/applnk/Internet
mkdir -p %{buildroot}/opt/kde2/share/applnk/Internet
install -c -m 644 %{SOURCE1} \
	%{buildroot}/opt/gnome/share/gnome/apps/Internet
install -c -m 644 %{SOURCE2} \
	%{buildroot}/opt/kde/share/applnk/Internet
install -c -m 644 %{SOURCE3} \
	%{buildroot}/opt/kde2/share/applnk/Internet/gtkcomm.desktop

%clean
rm -rf %{buildroot}

%files
%doc AUTHORS COPYING ChangeLog NEWS README TODO doc/FAQ doc/USAGE
%{_prefix}/bin/*
%{_prefix}/share/gtkcomm
%{_prefix1}/share/icons/png/locolor/16x16/apps/gtkcomm.png
%{_prefix1}/share/icons/png/hicolor/32x32/apps/gtkcomm.png
/opt/kde/share/icons/large/gtkcomm.xpm
/opt/kde/share/icons/gtkcomm.xpm
/opt/kde/share/applnk/Internet/gtkcomm.kdelnk
/opt/kde2/share/icons/locolor/16x16/apps/gtkcomm.png
/opt/kde2/share/icons/hicolor/32x32/apps/gtkcomm.png
/opt/kde2/share/applnk/Internet/gtkcomm.desktop
/opt/gnome/share/pixmaps/gtkcomm.png
/opt/gnome/share/gnome/apps/Internet/gtkcomm.desktop

%changelog -n gtkcomm
* Sat Jun 23 2001 - schwab@suse.de
- Fix invalid use of token pasting.
- Fix preprocessor directives inside macro arguments.
- Fix missing address operator.
* Sun Feb 04 2001 - violiet@suse.de
- fixed KDE1 pixmap.
* Thu Feb 01 2001 - violiet@suse.de
- use GNOME desktop gtkcomm.png
* Thu Feb 01 2001 - violiet@suse.de
- update to 0.5.13
* Tue Jan 16 2001 - violiet@susekorea.net
- NEW gtkcomm package, version 0.5.10
- NEW GTKCOMM PIXMAPS....
- added KDE-1.x, KDE-2.x desktop file.
